# todotxt_reminder

A Reminder based on todo.txt synced via nextcloud

## Current todos:

- [x] make repeat-datatype (like: daily, weekly on mo/th/fr, bi-monthly, etc.)
  - [x] define isomorphism for 'repeat:'-meta-tag
- [x] add interface for repeat-datatype in addReminder.dart
- [x] save/load data to/from disk
- [x] adding/removing tasks
- [x] respect ordering that was used when starting the app when saving.
- [ ] add annoying pop-up message so you actually do your tasks ^^
- [ ] add Nextcloud-login for getting a Token
- [ ] use webdav for synchronizing with Nextcloud using that token
- [ ] sorting by "next up", "priority"
- [ ] respect 'color:'-meta-tag (usual formats like "#aabbcc", html-colors like "red")
  - [ ] use color in rendering todos
- [ ] make application-settings
  - [ ] store/load settings
  - [ ] setting for number of days into the future
  - [ ] theme
    - [x] light/dark mode
    - [ ] color theme by system colors
    - [ ] own primary/secondary color theme
- [ ] fancy pop-animation & sound for the checkbox

## Current looks:

### Main Widget
![](img/2023-01-08_application.png)

### Adding Tasks
![](img/2023-01-13_addTask.png)

### Details/Removing tasks
![](img/2023-01-10_Task_details.png)

### Complex repeat patterns
![](img/2023-01-10_repeat_patterns.png)

### Light/Dark theme
![](img/2023-01-13_theme_light.png)
![](img/2023-01-13_theme_dark.png)